org.w3._2001._04.xmlenc

## Class ReferenceList

- java.lang.Object
- - org.w3._2001._04.xmlenc.ReferenceList

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T07:52:42+02:00",
                 comments="JAXB RI v2.2.11")
      public class ReferenceList
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded">
               <element name="DataReference" type="{http://www.w3.org/2001/04/xmlenc#}ReferenceType"/>
               <element name="KeyReference" type="{http://www.w3.org/2001/04/xmlenc#}ReferenceType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JAXBElement<ReferenceType>>` | `getDataReferencesAndKeyReferences()` Gets the value of the dataReferencesAndKeyReferences property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceList

          public ReferenceList()

  - ### Method Detail

    - #### getDataReferencesAndKeyReferences

          public List<JAXBElement<ReferenceType>> getDataReferencesAndKeyReferences()

      Gets the value of the dataReferencesAndKeyReferences property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dataReferencesAndKeyReferences property.

      For example, to add a new item, do as follows:

              getDataReferencesAndKeyReferences().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``ReferenceType``>` `JAXBElement``<``ReferenceType``>`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.